--
-- Table structure for table `oc_conseil`
--

DROP TABLE IF EXISTS `oc_conseil`;
CREATE TABLE `oc_conseil` (
  `conseil_id` int(11) NOT NULL AUTO_INCREMENT,
  `bottom` int(1) NOT NULL DEFAULT '0',
  `sort_order` int(3) NOT NULL DEFAULT '0',
  `status` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`conseil_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `oc_conseil`
--

INSERT INTO `oc_conseil` (`conseil_id`, `bottom`, `sort_order`, `status`) VALUES
(3, 1, 3, 1),
(4, 1, 1, 1),
(5, 1, 4, 1),
(6, 1, 2, 1);

-- --------------------------------------------------------

--
-- Table structure for table `oc_conseil_description`
--

DROP TABLE IF EXISTS `oc_conseil_description`;
CREATE TABLE `oc_conseil_description` (
  `conseil_id` int(11) NOT NULL,
  `language_id` int(11) NOT NULL,
  `title` varchar(64) NOT NULL,
  `description` text NOT NULL,
  PRIMARY KEY (`conseil_id`,`language_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `oc_conseil_description`
--

INSERT INTO `oc_conseil_description` (`conseil_id`, `language_id`, `title`, `description`) VALUES
(4, 1, 'About Us', '&lt;p&gt;\r\n	About Us&lt;/p&gt;\r\n'),
(5, 1, 'Terms &amp; Conditions', '&lt;p&gt;\r\n	Terms &amp;amp; Conditions&lt;/p&gt;\r\n'),
(3, 1, 'Privacy Policy', '&lt;p&gt;\r\n	Privacy Policy&lt;/p&gt;\r\n'),
(6, 1, 'Delivery Information', '&lt;p&gt;\r\n	Delivery Information&lt;/p&gt;\r\n'),
(4, 2, 'A propos de nous', '&lt;p&gt;\r\n   A propos de nous&lt;/p&gt;\r\n'),
(5, 2, 'Conditions G&eacute;n&eacute;rales de Vente', '&lt;p&gt;\r\n   Conditions G&amp;eacute;n&amp;eacute;rales de Vente&lt;/p&gt;\r\n'),
(3, 2, 'Politique de confidentialit&eacute;', '&lt;p&gt;\r\n   Politique de confidentialit&amp;eacute;&lt;/p&gt;\r\n'),
(6, 2, 'Informations sur la livraison', '&lt;p&gt;\r\n   Informations sur la livraison&lt;/p&gt;\r\n');

-- --------------------------------------------------------

--
-- Table structure for table `oc_conseil_to_layout`
--

DROP TABLE IF EXISTS `oc_conseil_to_layout`;
CREATE TABLE `oc_conseil_to_layout` (
  `conseil_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL,
  `layout_id` int(11) NOT NULL,
  PRIMARY KEY (`conseil_id`,`store_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `oc_conseil_to_layout`
--


-- --------------------------------------------------------

--
-- Table structure for table `oc_conseil_to_store`
--

DROP TABLE IF EXISTS `oc_conseil_to_store`;
CREATE TABLE `oc_conseil_to_store` (
  `conseil_id` int(11) NOT NULL,
  `store_id` int(11) NOT NULL,
  PRIMARY KEY (`conseil_id`,`store_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;

--
-- Dumping data for table `oc_conseil_to_store`
--

INSERT INTO `oc_conseil_to_store` (`conseil_id`, `store_id`) VALUES
(3, 0),
(4, 0),
(5, 0),
(6, 0);

-- --------------------------------------------------------