<?php
class ModelCatalogConseil extends Model {
	public function addConseil($data) {
		$this->db->query("INSERT INTO " . DB_PREFIX . "conseil SET sort_order = '" . (int)$data['sort_order'] . "', bottom = '" . (isset($data['bottom']) ? (int)$data['bottom'] : 0) . "', status = '" . (int)$data['status'] . "'");

		$conseil_id = $this->db->getLastId(); 
		
		foreach ($data['conseil_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "conseil_description SET conseil_id = '" . (int)$conseil_id . "', language_id = '" . (int)$language_id . "', title = '" . $this->db->escape($value['title']) . "', description = '" . $this->db->escape($value['description']) . "'");
		}
		
		if (isset($data['conseil_store'])) {
			foreach ($data['conseil_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "conseil_to_store SET conseil_id = '" . (int)$conseil_id . "', store_id = '" . (int)$store_id . "'");
			}
		}

		if (isset($data['conseil_layout'])) {
			foreach ($data['conseil_layout'] as $store_id => $layout) {
				if ($layout) {
					$this->db->query("INSERT INTO " . DB_PREFIX . "conseil_to_layout SET conseil_id = '" . (int)$conseil_id . "', store_id = '" . (int)$store_id . "', layout_id = '" . (int)$layout['layout_id'] . "'");
				}
			}
		}
				
		if ($data['keyword']) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'conseil_id=" . (int)$conseil_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}
		
		$this->cache->delete('conseil');
	}
	
	public function editConseil($conseil_id, $data) {
		$this->db->query("UPDATE " . DB_PREFIX . "conseil SET sort_order = '" . (int)$data['sort_order'] . "', bottom = '" . (isset($data['bottom']) ? (int)$data['bottom'] : 0) . "', status = '" . (int)$data['status'] . "' WHERE conseil_id = '" . (int)$conseil_id . "'");
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil_description WHERE conseil_id = '" . (int)$conseil_id . "'");
					
		foreach ($data['conseil_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "conseil_description SET conseil_id = '" . (int)$conseil_id . "', language_id = '" . (int)$language_id . "', title = '" . $this->db->escape($value['title']) . "', description = '" . $this->db->escape($value['description']) . "'");
		}

		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil_to_store WHERE conseil_id = '" . (int)$conseil_id . "'");
		
		if (isset($data['conseil_store'])) {
			foreach ($data['conseil_store'] as $store_id) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "conseil_to_store SET conseil_id = '" . (int)$conseil_id . "', store_id = '" . (int)$store_id . "'");
			}
		}
		
		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil_to_layout WHERE conseil_id = '" . (int)$conseil_id . "'");

		if (isset($data['conseil_layout'])) {
			foreach ($data['conseil_layout'] as $store_id => $layout) {
				if ($layout['layout_id']) {
					$this->db->query("INSERT INTO " . DB_PREFIX . "conseil_to_layout SET conseil_id = '" . (int)$conseil_id . "', store_id = '" . (int)$store_id . "', layout_id = '" . (int)$layout['layout_id'] . "'");
				}
			}
		}
				
		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'conseil_id=" . (int)$conseil_id. "'");
		
		if ($data['keyword']) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'conseil_id=" . (int)$conseil_id . "', keyword = '" . $this->db->escape($data['keyword']) . "'");
		}
		
		$this->cache->delete('conseil');
	}
	
	public function deleteConseil($conseil_id) {
		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil WHERE conseil_id = '" . (int)$conseil_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil_description WHERE conseil_id = '" . (int)$conseil_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil_to_store WHERE conseil_id = '" . (int)$conseil_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "conseil_to_layout WHERE conseil_id = '" . (int)$conseil_id . "'");
		$this->db->query("DELETE FROM " . DB_PREFIX . "url_alias WHERE query = 'conseil_id=" . (int)$conseil_id . "'");

		$this->cache->delete('conseil');
	}	

	public function getConseil($conseil_id) {
		$query = $this->db->query("SELECT DISTINCT *, (SELECT keyword FROM " . DB_PREFIX . "url_alias WHERE query = 'conseil_id=" . (int)$conseil_id . "') AS keyword FROM " . DB_PREFIX . "conseil WHERE conseil_id = '" . (int)$conseil_id . "'");
		
		return $query->row;
	}
		
	public function getConseils($data = array()) {
		if ($data) {
			$sql = "SELECT * FROM " . DB_PREFIX . "conseil i LEFT JOIN " . DB_PREFIX . "conseil_description id ON (i.conseil_id = id.conseil_id) WHERE id.language_id = '" . (int)$this->config->get('config_language_id') . "'";
		
			$sort_data = array(
				'id.title',
				'i.sort_order'
			);		
		
			if (isset($data['sort']) && in_array($data['sort'], $sort_data)) {
				$sql .= " ORDER BY " . $data['sort'];	
			} else {
				$sql .= " ORDER BY id.title";	
			}
			
			if (isset($data['order']) && ($data['order'] == 'DESC')) {
				$sql .= " DESC";
			} else {
				$sql .= " ASC";
			}
		
			if (isset($data['start']) || isset($data['limit'])) {
				if ($data['start'] < 0) {
					$data['start'] = 0;
				}		

				if ($data['limit'] < 1) {
					$data['limit'] = 20;
				}	
			
				$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
			}	
			
			$query = $this->db->query($sql);
			
			return $query->rows;
		} else {
			$conseil_data = $this->cache->get('conseil.' . (int)$this->config->get('config_language_id'));
		
			if (!$conseil_data) {
				$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "conseil i LEFT JOIN " . DB_PREFIX . "conseil_description id ON (i.conseil_id = id.conseil_id) WHERE id.language_id = '" . (int)$this->config->get('config_language_id') . "' ORDER BY id.title");
	
				$conseil_data = $query->rows;
			
				$this->cache->set('conseil.' . (int)$this->config->get('config_language_id'), $conseil_data);
			}	
	
			return $conseil_data;			
		}
	}
	
	public function getConseilDescriptions($conseil_id) {
		$conseil_description_data = array();
		
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "conseil_description WHERE conseil_id = '" . (int)$conseil_id . "'");

		foreach ($query->rows as $result) {
			$conseil_description_data[$result['language_id']] = array(
				'title'       => $result['title'],
				'description' => $result['description']
			);
		}
		
		return $conseil_description_data;
	}
	
	public function getConseilStores($conseil_id) {
		$conseil_store_data = array();
		
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "conseil_to_store WHERE conseil_id = '" . (int)$conseil_id . "'");

		foreach ($query->rows as $result) {
			$conseil_store_data[] = $result['store_id'];
		}
		
		return $conseil_store_data;
	}

	public function getConseilLayouts($conseil_id) {
		$conseil_layout_data = array();
		
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "conseil_to_layout WHERE conseil_id = '" . (int)$conseil_id . "'");
		
		foreach ($query->rows as $result) {
			$conseil_layout_data[$result['store_id']] = $result['layout_id'];
		}
		
		return $conseil_layout_data;
	}
		
	public function getTotalConseils() {
      	$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "conseil");
		
		return $query->row['total'];
	}	
	
	public function getTotalConseilsByLayoutId($layout_id) {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM " . DB_PREFIX . "conseil_to_layout WHERE layout_id = '" . (int)$layout_id . "'");

		return $query->row['total'];
	}	
}
?>